Bug 524109 - virt-manager: Fails to install guest using ISO file - internal error unable to start guest: qemu: 'iso' invalid format
virt-manager: Fails to install guest using ISO file - internal error unable ...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: python-virtinst (Show other bugs)
rawhide
All Linux
high Severity high
: ---
: ---
Assigned To: Daniel Berrange
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F12VirtBlocker
  Show dependency treegraph
 
Reported: 2009-09-17 17:22 EDT by Lucas Meneghel Rodrigues
Modified: 2015-10-18 18:41 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-24 11:21:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lucas Meneghel Rodrigues 2009-09-17 17:22:22 EDT
Description of problem: When trying to create/install a guest using virt-manager using ISO files as the install method, the exception libvirt.libvirtError: internal error unable to start guest: qemu: 'iso' invalid format is being thrown


Version-Release number of selected component (if applicable):

Virt-manager version:

virt-manager-0.8.0-3.fc12.noarch

Other relevant package versions:

libvirt-python-0.7.1-1.fc12.i686
libvirt-client-0.7.1-1.fc12.i686
libvirt-0.7.1-1.fc12.i686
qemu-img-0.10.92-4.fc12.i686
qemu-kvm-0.10.92-4.fc12.i686
qemu-common-0.10.92-4.fc12.i686
gpxe-roms-qemu-0.9.7-5.fc12.noarch
qemu-system-x86-0.10.92-4.fc12.i686


How reproducible: Allways


Steps to Reproduce:
1. Start virt-manager
2. Click on the "New VM" button
3. Fill all properties of your new VM, choose "Local install media" install
4. Select the ISO file you want to use to install your host
5. Finish the wizard. Once the vm is created, the following exception is thrown:


Unable to complete install '<class 'libvirt.libvirtError'> internal error unable to start guest: qemu: 'iso' invalid format

Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/create.py", line 1489, in do_install
    dom = guest.start_install(False, meter = meter)
  File "/usr/lib/python2.6/site-packages/virtinst/Guest.py", line 628, in start_install
    return self._do_install(consolecb, meter, removeOld, wait)
  File "/usr/lib/python2.6/site-packages/virtinst/Guest.py", line 726, in _do_install
    self.domain = self.conn.createLinux(install_xml, 0)
  File "/usr/lib/python2.6/site-packages/libvirt.py", line 1077, in createLinux
    if ret is None:raise libvirtError('virDomainCreateLinux() failed', conn=self)
libvirtError: internal error unable to start guest: qemu: 'iso' invalid format

'

Actual results: Not being able to create VM on virt-manager


Expected results: Have a functional VM running the OS install contained on the ISO file

Additional info: The version of virt-manager immediately before this one didn't have this problem, in the rpm update log I verified a fix along the lines of "don't use virtio for CD-ROMS".
Comment 1 Mark McLoughlin 2009-09-21 12:31:38 EDT
lmr: could you include ~/.virt-manager/virt-manager.log and /var/log/libvirt/qemu/$guest.log

http://fedoraproject.org/wiki/Reporting_virtualization_bugs

(In reply to comment #0)

> Additional info: The version of virt-manager immediately before this one didn't
> have this problem, in the rpm update log I verified a fix along the lines of
> "don't use virtio for CD-ROMS".  

Thanks for that, sounds like a problem with the fix for bug #517151
Comment 3 Cole Robinson 2009-09-24 11:21:25 EDT
Should be fixed in virtinst-0.500.0-4.

Note You need to log in before you can comment on or make changes to this bug.